App Installation installiert Updates?

german

#1

Hallo,

ich habe auf meinen Testsystem nun DRBD zum installieren ausgewählt. Mir scheint es nun so, als installiert er nun auch alle Updates bei der App Installation???

Auszug Log- File des AppCenters:

21.03.13 07:35:25.157 MODULE ( PROCESS ) : Unpacking drbd8-module-3.2.0-ucs17-amd64 21.03.13 07:35:25.266 MODULE ( PROCESS ) : Preparing to configure drbd8-module-3.2.0-ucs17-amd64 21.03.13 07:35:25.692 MODULE ( PROCESS ) : Vormals abgewähltes Paket drbd-meta-pkg wird gewählt. 21.03.13 07:35:25.696 MODULE ( PROCESS ) : Entpacken von drbd-meta-pkg (aus .../drbd-meta-pkg_1.0_all.deb) ... 21.03.13 07:35:25.696 MODULE ( PROCESS ) : Installing drbd-meta-pkg 21.03.13 07:35:25.696 MODULE ( PROCESS ) : Preparing drbd-meta-pkg 21.03.13 07:35:26.239 MODULE ( PROCESS ) : Unpacking drbd-meta-pkg 21.03.13 07:35:26.390 MODULE ( PROCESS ) : Preparing to configure drbd-meta-pkg 21.03.13 07:35:27.071 MODULE ( PROCESS ) : Vorbereitung zum Ersetzen von libroken18-heimdal 1.4.0+git201110101743~lorikeet-3.211.201302141720 (durch .../libroken18-heimdal_1.4.0+git201110101743~lorikeet-3.214.201303131839_amd64.deb) ... 21.03.13 07:35:27.604 MODULE ( PROCESS ) : Preparing libroken18-heimdal 21.03.13 07:35:27.851 MODULE ( PROCESS ) : Ersatz für libroken18-heimdal wird entpackt ... 21.03.13 07:35:28.877 MODULE ( PROCESS ) : Unpacking libroken18-heimdal 21.03.13 07:35:29.036 MODULE ( PROCESS ) : Preparing to configure libroken18-heimdal 21.03.13 07:35:29.624 MODULE ( PROCESS ) : Vorbereitung zum Ersetzen von libasn1-8-heimdal 1.4.0+git201110101743~lorikeet-3.211.201302141720 (durch .../libasn1-8-heimdal_1.4.0+git201110101743~lorikeet-3.214.201303131839_amd64.deb) ... 21.03.13 07:35:29.848 MODULE ( PROCESS ) : Preparing libasn1-8-heimdal 21.03.13 07:35:29.957 MODULE ( PROCESS ) : Ersatz für libasn1-8-heimdal wird entpackt ... 21.03.13 07:35:32.133 MODULE ( PROCESS ) : Unpacking libasn1-8-heimdal 21.03.13 07:35:32.348 MODULE ( PROCESS ) : Preparing to configure libasn1-8-heimdal 21.03.13 07:35:32.978 MODULE ( PROCESS ) : Vorbereitung zum Ersetzen von libsamba-hostconfig0 4.0.0~rc6-1.362.201302121446 (durch .../libsamba-hostconfig0_4.0.0~rc6-1.368.201303131315_amd64.deb) ... 21.03.13 07:35:33.206 MODULE ( PROCESS ) : Preparing libsamba-hostconfig0 21.03.13 07:35:33.374 MODULE ( PROCESS ) : Ersatz für libsamba-hostconfig0 wird entpackt ... 21.03.13 07:35:33.990 MODULE ( PROCESS ) : Unpacking libsamba-hostconfig0 21.03.13 07:35:34.097 MODULE ( PROCESS ) : Preparing to configure libsamba-hostconfig0 21.03.13 07:35:34.575 MODULE ( PROCESS ) : Vorbereitung zum Ersetzen von libsamba-util0 4.0.0~rc6-1.362.201302121446 (durch .../libsamba-util0_4.0.0~rc6-1.368.201303131315_amd64.deb) ... 21.03.13 07:35:34.795 MODULE ( PROCESS ) : Preparing libsamba-util0 21.03.13 07:35:34.900 MODULE ( PROCESS ) : Ersatz für libsamba-util0 wird entpackt ... 21.03.13 07:35:35.393 MODULE ( PROCESS ) : Unpacking libsamba-util0 21.03.13 07:35:35.502 MODULE ( PROCESS ) : Preparing to configure libsamba-util0 21.03.13 07:35:36.113 MODULE ( PROCESS ) : Vorbereitung zum Ersetzen von libndr0 4.0.0~rc6-1.362.201302121446 (durch .../libndr0_4.0.0~rc6-1.368.201303131315_amd64.deb) ... 21.03.13 07:35:36.392 MODULE ( PROCESS ) : Preparing libndr0 21.03.13 07:35:36.541 MODULE ( PROCESS ) : Ersatz für libndr0 wird entpackt ... 21.03.13 07:35:37.138 MODULE ( PROCESS ) : Unpacking libndr0 21.03.13 07:35:37.243 MODULE ( PROCESS ) : Preparing to configure libndr0 21.03.13 07:35:37.908 MODULE ( PROCESS ) : Vorbereitung zum Ersetzen von libndr-standard0 4.0.0~rc6-1.362.201302121446 (durch .../libndr-standard0_4.0.0~rc6-1.368.201303131315_amd64.deb) ... 21.03.13 07:35:38.162 MODULE ( PROCESS ) : Preparing libndr-standard0 21.03.13 07:35:38.262 MODULE ( PROCESS ) : Ersatz für libndr-standard0 wird entpackt ... 21.03.13 07:35:39.380 MODULE ( PROCESS ) : Unpacking libndr-standard0 21.03.13 07:35:39.480 MODULE ( PROCESS ) : Preparing to configure libndr-standard0 21.03.13 07:35:39.923 MODULE ( PROCESS ) : Vorbereitung zum Ersetzen von libsmbclient-raw0 4.0.0~rc6-1.362.201302121446 (durch .../libsmbclient-raw0_4.0.0~rc6-1.368.201303131315_amd64.deb) ... 21.03.13 07:35:40.218 MODULE ( PROCESS ) : Preparing libsmbclient-raw0 21.03.13 07:35:40.351 MODULE ( PROCESS ) : Ersatz für libsmbclient-raw0 wird entpackt ... 21.03.13 07:35:41.027 MODULE ( PROCESS ) : Unpacking libsmbclient-raw0 21.03.13 07:35:41.127 MODULE ( PROCESS ) : Preparing to configure libsmbclient-raw0 21.03.13 07:35:41.410 MODULE ( PROCESS ) : Vorbereitung zum Ersetzen von winbind4 4.0.0~rc6-1.362.201302121446 (durch .../winbind4_4.0.0~rc6-1.368.201303131315_amd64.deb) ... 21.03.13 07:35:41.681 MODULE ( PROCESS ) : Preparing winbind4 21.03.13 07:35:41.766 MODULE ( PROCESS ) : Ersatz für winbind4 wird entpackt ... 21.03.13 07:35:42.541 MODULE ( PROCESS ) : Unpacking winbind4 21.03.13 07:35:42.683 MODULE ( PROCESS ) : Preparing to configure winbind4 21.03.13 07:35:43.660 MODULE ( PROCESS ) : Vorbereitung zum Ersetzen von samba4 4.0.0~rc6-1.362.201302121446 (durch .../samba4_4.0.0~rc6-1.368.201303131315_amd64.deb) ...

Ich bin der Meinung, samba4 & co hat nichts mit drbd zu tun?


#2

Hallo,

die Installation einer Anwendung aus dem App-Center bedingt den aktuellen Software-Stand des Systems. Daher wird das System in diesem Zug auf das aktuellste Errata-Update aktualisiert.
Sehen Sie hierzu gern auch den entsprechenden [bug]30172[/bug] über welchen ein entsprechender Dialog implementiert wurde, der auf durchzuführende Anpassungen bei einer Installation hinweisen wird.

Mit freundlichen Grüßen,
Tim Petersen


#3

[quote=“Petersen”]Hallo,

die Installation einer Anwendung aus dem App-Center bedingt den aktuellen Software-Stand des Systems. Daher wird das System in diesem Zug auf das aktuellste Errata-Update aktualisiert.
Sehen Sie hierzu gern auch den entsprechenden [bug]30172[/bug] über welchen ein entsprechender Dialog implementiert wurde, der auf durchzuführende Anpassungen bei einer Installation hinweisen wird.

Mit freundlichen Grüßen,
Tim Petersen[/quote]

Dann hätte ich noch gerne eine Erklärung, warum für DRBD das komplette System aktualisiert werden muss??
Für mich ergibt das keinen Sinn?


#4

Hallo,

das hat nichts mit DRBD im Speziellen zu tun, sondern ist Teil des App-Center Konzepts:

Mit freundlichen Grüßen,
Tim Petersen


#5

[quote=“Petersen”]Hallo,

das hat nichts mit DRBD im Speziellen zu tun, sondern ist Teil des App-Center Konzepts:

Mit freundlichen Grüßen,
Tim Petersen[/quote]

Ja, soweit habe ich das schon verstanden.
Trotzdem:
Warum muss das System auf den aktuellen Stand aktualisiert werden??

Es gibt Kunden, die wollen nicht immer gleich das aktuellste installieren, um nicht selber Tester zu werden… In diesem Fall darf der Kunde keine Apps installieren?? Ansonsten wird er zum Updaten gezwungen?